package com.wissamfawaz;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;

public class Main {

	public static void main(String[] args) throws IOException, MalformedURLException{
		URL url = new URL("http://feeds.bbci.co.uk/news/world/rss.xml");
		InputStream is = url.openStream();
		
		BufferedReader br = new BufferedReader(new InputStreamReader(is));
		StringBuilder sb = new StringBuilder();
		
		String line;
		
		while((line = br.readLine()) != null) {
			sb.append(line + "\n");
		}
		
		System.out.println(sb);
		
		br.close();
		
	}

}
